﻿' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください
Option Strict On

Imports Windows.UI.Popups
Imports System.Net.Http

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
''' 
Public Class prefInfo
    Public Property pref As String
End Class
Public NotInheritable Class MainPage
    Inherits Page
    Dim xmldoc As XElement
    Dim myUri As String
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)

        xmldoc = XElement.Load("pref.xml")
        Dim prefList As New List(Of prefInfo)
        For Each result In From c In xmldoc.Descendants("都道府県") Select c
            prefList.Add(New prefInfo With {.pref = result.Value})
        Next
        GridView1.ItemsSource = prefList
    End Sub

    Private Sub GridView1_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles GridView1.SelectionChanged
        Try
            myFrame.Visibility = Windows.UI.Xaml.Visibility.Visible
            Dim myWidth = CInt(Window.Current.CoreWindow.Bounds.Width)
            Dim myHeight = CInt(Window.Current.CoreWindow.Bounds.Height)
            If myWidth = 1920 AndAlso myHeight = 1080 Then
                myFrame.Width = 1700
                myFrame.Height = 1080
            End If
            Dim partyIndex = GridView1.SelectedIndex + 1
            myFrame.Navigate(GetType(PartyDataShowPage), partyIndex)

        Catch
            myFrame.Visibility = Windows.UI.Xaml.Visibility.Collapsed
            Exit Sub
        End Try
    End Sub

    Private Sub backButton1_Click(sender As Object, e As RoutedEventArgs) Handles backButton1.Click
        myFrame.Visibility = Windows.UI.Xaml.Visibility.Collapsed
    End Sub
End Class

