﻿' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください
Option Strict On

Imports System.Net.Http
Imports Windows.UI.Popups

Public Class PartyInfo
    Public Property Title As String
    'Public Property CompanyName As String
    Public Property Place As String
    Public Property myDate As String
    Public Property ReserveMan As String
    Public Property ReserveWoman As String
    Public Property AgeMan As String
    Public Property AgeWoman As String
    Public Property Url As String
    Public Property AreaName As String
    Public Property Article As String
    Public Property no As String
End Class
Public NotInheritable Class PartyDataShowPage
    Inherits Page

    Dim xmldoc As XElement
    Dim Index As Integer = 0
    Dim prefIndex As Integer
    Protected Overrides Async Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        WebBrowser1.Visibility = Windows.UI.Xaml.Visibility.Collapsed
        GridView1.Visibility = Windows.UI.Xaml.Visibility.Visible
        prefIndex = DirectCast(e.Parameter, Integer)
        Dim myUri = String.Format("http://omiai-party.jp/top/api/get?format=xml&pref={0}&start=0", prefIndex)

        Dim myHttpClient As New HttpClient
        Dim resultXml = Await myHttpClient.GetStringAsync(myUri)
        resultXml = resultXml.Replace("xmlns=" & ChrW(34) & "urn:apli-maker:com:api" & ChrW(34) & " xmlns:xsi=" & ChrW(34) & "http://www.w3.org/2001/XMLSchema-instance" & ChrW(34), "")
        resultXml = resultXml.Replace("&raquo;", "")
        resultXml = resultXml.Replace("&laquo;", "")
        resultXml = resultXml.Replace("&", "")
        Index = 0

        xmldoc = XElement.Parse(resultXml)
        Dim myPartyInfo As New List(Of PartyInfo)
        For Each result In From c In xmldoc.Descendants("Result") Select c
            myPartyInfo.Add(New PartyInfo With {.Title = result.Element("Title").Value,
                                                .Place = "【開催場所】=" & result.Element("Place").Value,
                                               .myDate = "【日時】=" & result.Element("Date").Value,
                                                .ReserveMan = "【男性】=" & result.Element("ReserveMan").Value,
                                                .ReserveWoman = "【女性】=" & result.Element("ReserveWoman").Value,
                                                .AgeMan = "【男性対象年齢】=" & result.Element("AgeMan").Value,
                                                .AgeWoman = "【女性対象年齢】=" & result.Element("AgeWoman").Value,
                                                .Url = result.Element("Url").Value,
                                                .AreaName = "【エリア】=" & result.Element("AreaName").Value,
                                                .Article = "【内容】=" & result.Element("Article").Value,
                                                .no = CStr(Index)})
            Index += 1
        Next
        GridView1.ItemsSource = myPartyInfo

    End Sub

   

    Private Sub DetailsDataShow(sender As Object, e As RoutedEventArgs)
        backButton2.Visibility = Windows.UI.Xaml.Visibility.Visible
        WebBrowser1.Visibility = Windows.UI.Xaml.Visibility.Visible
        GridView1.Visibility = Windows.UI.Xaml.Visibility.Collapsed
        Dim myIndex = DirectCast(sender, Button).Tag
        Dim myUri = xmldoc.Descendants("Result")(CInt(myIndex)).Element("Url").Value
        Dim myWidth = CInt(Window.Current.CoreWindow.Bounds.Width)
        Dim myHeight = CInt(Window.Current.CoreWindow.Bounds.Height)
        If myWidth = 1920 AndAlso myHeight = 1080 Then
            WebBrowser1.Width = 1700
            WebBrowser1.Height = 1080
        End If

        'WebView1.Width = 1346
        'WebView1.Height = 600
        WebBrowser1.Source = New Uri(myUri)
    End Sub

    Private Sub backButton2_Click(sender As Object, e As RoutedEventArgs) Handles backButton2.Click
        WebBrowser1.Visibility = Windows.UI.Xaml.Visibility.Collapsed
        GridView1.Visibility = Windows.UI.Xaml.Visibility.Visible
        backButton2.Visibility = Windows.UI.Xaml.Visibility.Collapsed
    End Sub
End Class
